MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005417ardourbugspublic2013-03-26 16:322018-05-26 05:30
ReporterRicardus 
Assigned Tox42 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.0 
Target VersionFixed in Version 
Summary0005417: Automation writes are not like 2.x, and not as expected
DescriptionWhen I engage write mode with automation as the track is playing, in the middle of a song, it writes the points I want, but creates a point at the very beginning of the session at 0 dB, and draws a a gain automation line from there, to the point where I put the channel into write mode. I would expect the the automation at the start of the song to match the level of the fader where it was when I began writing automation.
TagsNo tags attached.
Attached Filespng file icon Screenshot.png [^] (35,648 bytes) 2013-03-26 16:32

- Relationships

-  Notes
(0014782)
Ricardus (reporter)
2013-03-27 16:01

BTW, this is for gain automation, but the same thing happens with panning automation, as well. I was hand drawing some panning points, and I placed a point in the middle of song and it it drew a line back to the beginning, and that point was panned to the center.
(0014794)
paul (administrator)
2013-03-31 14:08

if i don't find this out on IRC first, i need to know precisely what you mean by "start and stop writing automation".

my attempts to replicate this failed. i suspect you're using a set of steps to write automation that i've not thought of ....
(0014795)
paul (administrator)
2013-03-31 14:12

ah, no worries. i've figured out what you were doing. seems like an odd approach to me, but it shouldn't result in what you saw.

to avoid it for now (though i may fix it real soon now): use touch mode, which will playback existing automation, but write new values as you create them. what i believe you were doing is starting the transport in manual mode, then switching to write mode after some time.
(0014797)
Ricardus (reporter)
2013-04-01 10:13

For those who were not privy to our IRC chat yesterday, I will explain. The automation computers on the consoles I spent the most time on, got SMPTE from the tape machines. Analog tape had SMPTE striped on it, and ADATs output SMPTE, but the transport had to be rolling for the automation to see it. That is why I engaged WRITE mode while the transport was running. Required habits from previous workflows. Also, that particular automation pkg required that you do one write pass before you could change to TOUCH mode and make fixes.
(0014821)
paul (administrator)
2013-04-06 06:23

the specific behaviour reported here (which occurs when switching into write mode while the transport is moving) has been fixed in git.
(0020265)
Ricardus (reporter)
2018-05-01 14:38

This was never marked FIXED.

- Issue History
Date Modified Username Field Change
2013-03-26 16:32 Ricardus New Issue
2013-03-26 16:32 Ricardus File Added: Screenshot.png
2013-03-27 16:01 Ricardus Note Added: 0014782
2013-03-28 15:15 paul Status new => acknowledged
2013-03-31 14:08 paul Note Added: 0014794
2013-03-31 14:12 paul Note Added: 0014795
2013-04-01 10:13 Ricardus Note Added: 0014797
2013-04-06 06:23 paul Note Added: 0014821
2013-04-06 06:23 paul Status acknowledged => feedback
2018-05-01 14:38 Ricardus Note Added: 0020265
2018-05-01 14:38 Ricardus Status feedback => new
2018-05-26 05:30 x42 Status new => resolved
2018-05-26 05:30 x42 Resolution open => fixed
2018-05-26 05:30 x42 Assigned To => x42


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker